import 'package:flutter/material.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Date Picker',
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyFirstPage(title: 'Flutter Date Picker'),
    );
  }
}

class MyFirstPage extends StatefulWidget {
  MyFirstPage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _MyFirstPageState createState() => _MyFirstPageState();
}

class _MyFirstPageState extends State<MyFirstPage> {
  DateTime _selectedDate = DateTime.now();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Center(
          child : Text(
            'First Page',
            style : TextStyle(
                color:Colors.black
            )
        ),
        ),
        backgroundColor: Colors.blue,
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Text(
                "${_selectedDate.toLocal()}".split(' ')[0]
            ),
            SizedBox(height: 20.0,),
            RaisedButton(
              child: Text('Choisir une date'),
              color: Colors.blue,
              textColor: Colors.white,
              onPressed: () => _selectDate(context),
            ),
          ],
        ),
      ),
    );
  }

  void _selectDate(BuildContext context) async {
    final DateTime date = await showDatePicker(
        context: context,
        initialDate: _selectedDate,
        firstDate: DateTime(2001),
        lastDate: DateTime(2121));
    if (date != null)
      this.setState(() {
        _selectedDate = date;
      });
    _send(context);
  }

  void _send(BuildContext context) {
    Navigator.push(
        context,
        MaterialPageRoute(
          builder: (context) => MySecondPage(selectedDate: _selectedDate,),
        )
    );
  }
}

class MySecondPage extends StatelessWidget {
  MySecondPage({this.selectedDate});

  final DateTime selectedDate;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Center( child : Text('Date Pick',
            style : TextStyle(
                color:Colors.black
            ),
        ),
        ),
        backgroundColor: Colors.blue,
      ),
      body: Center(
        child: Text(
          "${selectedDate.toLocal()}".split(' ')[0],
          style: TextStyle(
              fontWeight: FontWeight.bold,
              fontSize: 40,
              color: Colors.blue
          ),
        ),
      ),
    );
  }
}